Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Name: bc
Version: 1.06
Release: 4tr
License: GPL
Group: Environment/Utilities
Source: ftp://ftp.gnu.org/gnu/bc/bc-%{version}.tar.gz
Patch: bc-1.06-readline.patch
Prereq: /sbin/install-info grep
Buildroot: /var/tmp/%{name}-root

%description
The bc package includes bc and dc.  Bc is an arbitrary precision numeric
processing arithmetic language.  Dc is an interactive arbitrary precision
stack based calculator, which can be used as a text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
%setup -q
%patch -p1


%build
# CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-readline
%configure --with-readline
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install mandir=$RPM_BUILD_ROOT/usr/share/man infodir=$RPM_BUILD_ROOT/usr/share/info bindir=$RPM_BUILD_ROOT/usr/bin
gzip -n -9f $RPM_BUILD_ROOT/usr/share/info/dc.info

strip $RPM_BUILD_ROOT/usr/bin/dc $RPM_BUILD_ROOT/usr/bin/bc

%clean
rm -rf $RPM_BUILD_ROOT

%post
# previous versions of bc put an improper entry into /usr/info/dir -- remove
# it
if grep 'dc: (bc)' /usr/share/info/dir > /dev/null; then
    grep -v 'The GNU RPN calculator' < /usr/share/info/dir > /usr/share/info/dir.$$
    mv -f /usr/share/info/dir.$$ /usr/share/info/dir
fi

/sbin/install-info /usr/share/info/dc.info.gz /usr/share/info/dir --entry="* dc: (dc).                      The GNU RPN calculator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete /usr/share/info/dc.info.gz /usr/share/info/dir --entry="* dc: (dc).                      The GNU RPN calculator."
fi

%files
%defattr(-,root,root)
/usr/bin/dc
/usr/bin/bc
/usr/share/man/man1/bc.1*
/usr/share/man/man1/dc.1*
/usr/share/info/dc.info*

%changelog
* Wed Jun 13 2001 Oystein Viggen <oysteivi@trustix.com>
- Fix build problems with readline

* Fri Mar  3 2001 Alexander Reelsen <ar@trustix.com>
- Picked up 1.06

* Tue Nov 28 2000 Erlend Midttun <erlendbm@trustix.com>
- Rebuild to fix libraries

* Mon Sep 18 2000 Erlend Midttun <erlendbm@trustix.com>
- Rebuild to fix libraries

* Tue Mar 21 2000 Erlend Midttun <erlendbm@trustix.com>
- Moved man pages to comply with FHS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
